/**************************************************
opengate server test program

Copyright (C) 2005 Opengate Project Team
Written by Yoshiaki Watanabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Email: watanaby@is.saga-u.ac.jp
**************************************************/

#include	"opengatesrv.h"

/*********************/
/*  main routine     */
/*********************/
int  main(int argc, char **argv)
{
  char name[BUFFMAXLN];
  char extraID[WORDMAXLN];
  char userID[WORDMAXLN];

  /* prepare config file */
  OpenConfFile();
 
  /* start log */
  errToSyslog(atoi(GetConfValue("Syslog/Enable")));
  openlog(argv[0], LOG_PID, atoi(GetConfValue("Syslog/Facility")));

  /* init config */
  InitConf();

  printf("Config file=[%s]\n",CONFIGFILE);

  printf("Enter userID=");
  scanf("%s", userID);
  printf("Enter extraID(if you do not want to use extraID, enter as [default])=");
  scanf("%s", extraID);

  setupConfExtra(userID, extraID);

  printf("Enter Parameter name (eg, Authserver/protocol)=");
  scanf("%s", name);
  printf("%s\n", getConfValue(name));
  closeConfFile();
  return 0;
}
